# API Setup - Audio

### Base Instance

This instance is the exact same as the text instance. Mindplug requires you to perform audio transcription on the client side and does not handle it server side. To perform transcription, the easiest method is to use Whisper from OpenAI. It takes in an audio file and returns a text string of all the audio content.

The steps for creating an audio transcription from audio files are outlined in the subpage.

{% code title="src/mindplugAPI.ts" overflow="wrap" lineNumbers="true" %}

```javascript
// Axios instance with mindplug auth
import axios from 'axios';

const mindplug = axios.create({
    baseURL: "https://connect.mindplug.io/api",
    headers: {
        "Content-Type": "application/json",
        "Authorization": "Bearer <MINDPLUG_KEY>"
    }
});

 export default mindplug; 
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mindplug.io/api/api-setup-audio.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
